Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Accounting Reports

AccountingReports

Get X/Z-Report for a till on a specific date. Returns a ZReport object

post
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/xzreport

Get a X/Z report for a specific date for the selected till. Returns a ZReport json object

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
datestring · dateRequired
Responses
200

Example response

application/json
cashAtStartintegerRequired
post/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/xzreport
POST /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/xzreport HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 21

{
  "date": "2026-01-01"
}
{
  "cashAtStart": 1,
  "cashDrawerOpening": {
    "count": 1
  },
  "discountSale": {
    "amount": 1,
    "count": 1
  },
  "header": {
    "companyName": "text",
    "date": "2026-01-01",
    "shopName": "text",
    "tillUid": "text",
    "userName": "text",
    "vatNumber": "text",
    "xz": "text",
    "zreportId": "text"
  },
  "lineCorrections": {
    "count": 1
  },
  "productLookups": [
    {
      "amount": 1,
      "count": 1,
      "name": "text"
    }
  ],
  "receiptCopies": {
    "count": 1
  },
  "saleByMainGroup": [
    {
      "amount": 1,
      "count": 1,
      "name": "text"
    }
  ],
  "saleBySettlementId": [
    {
      "amount": 1,
      "count": 1,
      "name": "text"
    }
  ],
  "saleByVATCode": [
    {
      "amount": 1,
      "count": 1,
      "name": "text"
    }
  ],
  "orderTotals": {
    "sales": {
      "amount": 1,
      "count": 1
    },
    "returns": {
      "amount": 1,
      "count": 1
    },
    "grandTotal": {
      "amount": 1,
      "count": 1
    }
  }
}

Get X/Z-Report for a till on a specific date

post
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/xzreport/download

Get a X/Z report for a specific date for the selected till.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
datestring · dateRequired
Responses
200

Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.

contentstringRequired

base64 encoded

contentTypestringRequired

mime type

filenamestringRequired
post/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/xzreport/download
POST /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/xzreport/download HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 21

{
  "date": "2026-01-01"
}
{
  "content": "text",
  "contentType": "text",
  "filename": "text"
}

Cash control per till and paymentmethod

post
/tenants/{tenantUid}/reports/cashcontrolreport/stores/{storeUid}

Cash control per till and paymentmethod

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
datestring · dateRequired
Responses
200

Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.

contentstringRequired

base64 encoded

contentTypestringRequired

mime type

filenamestringRequired
post/tenants/{tenantUid}/reports/cashcontrolreport/stores/{storeUid}
POST /v2/tenants/{tenantUid}/reports/cashcontrolreport/stores/{storeUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 21

{
  "date": "2026-01-01"
}
{
  "content": "text",
  "contentType": "text",
  "filename": "text"
}

Last updated

Was this helpful?